---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: backend
  namespace: comparisons
spec:
  values:
    services:
      backend:
        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/comparisons-backend:8df50db379f53c35a20fdffd4803883564a11844

        envs:
          - name: HTTP_PORT
            value:
              _default: "8080"

          - name: LAST_MASTER_BIM
            value:
              _default: "100_000"

          - name: APP_NAME
            value:
              _default: "comparisons-api-v2"

          - name: APP_VERSION
            value:
              _default: "0.0.1"

          - name: LOGGER_LOG_LEVEL
            value:
              _default: "info"

          - name: DATABASE_HOST
            value:
              _default: "postgres-service"

          - name: DATABASE_PORT
            value:
              _default: "5432"

          - name: DATABASE_NAME
            value:
              _default: "postgres"

          - name: DATABASE_DB
            value:
              _default: "comparisons"

          - name: API_ADDRESS
            value:
              _default: "0.0.0.0:8080"

          - name: API_ADDRESS_FILE
            value:
              _default: "0.0.0.0:8080"

          - name: ENABLE_SQL_QUERY
            value:
              _default: "0"

          - name: DOCUMENTATIONS_INTERNAL_HOST
            value:
              _default: "http://documentations-service.documentations.svc.cluster.local:8080"

          - name: DOCUMENTATIONS_EXTERNAL_HOST
            value:
              _default: "http://documentations-service.documentations.svc.cluster.local:8080/"

          - name: DOCUMENTATION_URL
            value:
              _default: "http://documentations-service.documentations.svc.cluster.local:8080/"

          - name: DOCUMENTATION_FILESTREAM_URL
            value:
              _default: "http://documentations-filestream-service.documentations.svc.cluster.local:8080/"

          - name: WORKFLOWS_HOST
            value:
              _default: "http://workflows-service.workflow.svc.cluster.local:8000/"

          - name: EAV_HOST
            value:
              _default: "http://eav-service.eav.svc.cluster.local:8000"

          - name: WORKSPACES_HOST
            value:
              _default: "http://workspaces-service.workspaces.svc.cluster.local:8000/"

          - name: COMPARISON_URL
            value:
              _default: "http://backend-service.comparisons.svc.cluster.local:8080/"

          - name: WORKFLOWS_IMAGE_VERSION
            value:
              _default: "master"

          - name: EXTERNAL_DOCUMENTATION_URL
            value:
              _default: "http://documentations-service.documentations.svc.cluster.local:8080/"

          - name: WORKFLOWS_BIMV2_INTERNAL_HOST
            value:
              _default: "http://backend-service.bim.svc.cluster.local:8000/"

          - name: ENABLE_SSL
            value:
              _default: "0"

          - name: WORKFLOWS_DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000"

          - name: POSTGRES_POOL_SIZE
            value:
              _default: "10"

          - name: LAST_SLAVE_1_BIM
            value:
              _default: "94015"

          - name: LAST_SLAVE_2_BIM
            value:
              _default: "135771"

          - name: ABAP_FIXED_CONC
            value:
              _default: "0"

          - name: WORKFLOWS_CONFIG_FILEPATH
            value:
              _default: "/etc/app/tasks-execution-config.json"
